Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005295TestLinkReportspublic2012-10-19 12:562014-07-27 10:14
ReporterEvelin 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows Server 2008 SP2 x86OS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0005295: Test Report: Result is displayed for untested test case version
DescriptionImagine a test case that has two versions. Version 1 was successfully executed before version 2 was created, but version 2 has never been tested. Every time you push a new version of an executed test case to the test plan, you get a version 2 description mixed with the version 1 result in the test report.

We think this is a bug, because there is no result for v2.
Or did we miss or misinterpret something?
Steps To ReproduceStep 1) As a test manager, create new test case. Add this test case to a test plan, assign the platform(s) and the tester.
Step 2) As the tester, execute the test case with result = passed.
Step 3) Create a test report and check the test case description: The description is as it was in version 1, result = passed.
Step 4) As the test manager, create a new version of the test case and edit the description. Then, update the test case in the test plan.
Step 5) Create a test report and check the test case description again: Now, you see the description according to version 2. Result = passed.
Additional InformationHow we work: Sometimes during a test campaign it happens that test cases turn out to be wrong, for instance wrong pre-conditions or target values. Then, our test manager will correct the test case and ask the tester to repeat the test in case it has already been executed. The tester will not install a new version of the component under test (the build stays the same), he will just repeat the test.
TagsNo tags attached.
Database (MySQL,Postgres,etc)SQL Express
BrowserFirefox 15.0.1
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0017698)
fman (administrator)
2012-10-19 13:09

Please update to 1.9.4 with latest fixes and provide us feedback
(0017699)
Evelin (reporter)
2012-10-19 13:13

We will but I cannot say exactly when because we have to wait for our admin dept to install the server.

- Issue History
Date Modified Username Field Change
2012-10-19 12:56 Evelin New Issue
2012-10-19 13:09 fman Note Added: 0017698
2012-10-19 13:13 Evelin Note Added: 0017699
2012-12-09 17:58 fman Assigned To => fman
2012-12-09 17:58 fman Status new => feedback
2014-07-27 10:14 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-07-27 10:14 fman Status feedback => closed
2014-07-27 10:14 fman Resolution open => fixed
2014-07-27 10:14 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker